*** Settings ***
Documentation     main test

Resource          ../resource.robot

*** Variables ***
${two_param_f2f}  1
*** Test Cases ***
F2F-1
    Set Screenshot Directory    pics/
    Open Browser for Device
    Result Should Contain Text

    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    FileToFile
    Select Source    2
    ${tup1}    Set Variable    ProgramData    Application Data
    Select Filter Settings    partn-4_ntfs    ${tup1}
    Select Output Format    L01
    Select Output Segment Size    2GB
    Select Output Compression    On
    Select File Destination    4
    Start Task
    Delete Task
    Go to Exit


F2F-2
    Set Screenshot Directory    pics/
    Open Browser for Device
    Result Should Contain Text

    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    FileToFile
    Select Source    2
    ${tup1}    Set Variable    Documents and Settings    Logicube
    Select Filter Settings    partn-4_ntfs    ${tup1}
    Select File Destination    4
    Start Task
    Delete Task
    Go to Exit


F2F-3
    Set Screenshot Directory    pics/
    Open Browser for Device
    Result Should Contain Text

    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    FileToFile
    Select Source    18
    ${tup1}    Set Variable    System    Library
    Select Filter Settings    partn-2_hfsp    ${tup1}
    Select Output Format    L01
    Select Output Segment Size    4GB
    Select Output Compression    On
    Select File Destination    4
    Start Task
    Delete Task
    Go to Exit


F2F-4
    Set Screenshot Directory    pics/
    Open Browser for Device
    Result Should Contain Text

    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    FileToFile
    Select Source    18
    ${tup1}    Set Variable    Users    mbairlogicube
    Select Filter Settings    partn-2_hfsp    ${tup1}
    Select Output Format    Lx01
    Select Output Segment Size    8GB
    Select Output Compression    Off
    Select File Destination    4
    Start Task
    Delete Task
    Go to Exit


F2F-5
    Set Screenshot Directory    pics/
    Open Browser for Device
    Result Should Contain Text

    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    FileToFile
    Select Source    14
    ${tup1}    Set Variable    w10_nohdd    Snapshots
    Select Filter Settings    partn-2_ntfs    ${tup1}
    Select Output Format    L01
    Select Output Segment Size    2GB
    Select Output Compression    Off
    Select File Destination    10
    Start Task
    Delete Task
    Go to Exit


F2F-6
    Set Screenshot Directory    pics/
    Open Browser for Device
    Result Should Contain Text

    Go to Imaging
    Create tasks
    Go to Task    ${ttask}
    Select Mode    FileToFile
    Select Source    14
    ${tup1}    Set Variable    source32bit_new    sources
    Select Filter Settings    partn-4_ntfs    ${tup1}
    Select Output Format    L01
    Select Output Segment Size    16GB
    Select Output Compression    On
    Select File Destination    10
    Start Task
    Delete Task
    Go to Exit